# UserInfo Claim Structure

The table below provides descriptions of the attributes included in the `UserInfo` claim of the ID Token. The value of the `UserInfo` claim is a JSON object, and it is a **mandatory** attribute in all Corppass ID Tokens.

{% hint style="info" %}
**Mandatory Attributes**: These attributes will always be present in the `UserInfo` object and will always contain a value, which could be a blank string if no data is available.

**Non-Mandatory Attributes**: These attributes will only be included in the `UserInfo` object if data is available and they are not required by the schema.
{% endhint %}

The table below provides a detailed description of each attribute in the `UserInfo` claim of the ID Token.&#x20;

<table><thead><tr><th width="152.7421875">Field</th><th width="317.44140625">Description</th><th width="92.8984375">Data Type</th><th width="79.5078125">Length</th><th width="104.65234375">Mandatory</th></tr></thead><tbody><tr><td>CPAccType</td><td>Corppass account type of the user. Indicates if the user is a Corppass Administrator, Sub-Administrator, User, or Enquiry User.</td><td>String</td><td>30</td><td>Yes</td></tr><tr><td>CPUID_FullName</td><td>Full name of the authenticated user.</td><td>String</td><td>100</td><td>Yes</td></tr><tr><td>ISSPHOLDER</td><td>Indicates whether the user is a Singpass holder (i.e., has activated their Corppass ID using SingPass). Possible values are <code>YES</code> or <code>NO</code>.</td><td>String</td><td>3</td><td>Yes</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.corppass.gov.sg/technical-specifications/corppass-authorization-api-legacy/endpoints/token-endpoint/id-token-structure/userinfo-claim-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
